package net.lemnik.eodsql.spi.util;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Created on 2008/06/15
 * @author Jason Morris
 */
class SingleRowResultSetWrapper<T> extends AbstractResultSetWrapper<T, T> {
    SingleRowResultSetWrapper(DataObjectBinding<T> binding) {
        super(binding);
    }

    @Override
    public T wrap(ResultSet results) throws SQLException {
        if(results.next()) {
            return binding.unmarshall(results);
        } else {
            return null;
        }
    }

}
