package net.lemnik.eodsql.spi;

import java.sql.SQLException;

/**
 *
 * @author Jason Morris
 */
public interface Resource<T> {
    public T get();

    public boolean isClosed();

    public void close() throws SQLException;
    
    public Class<T> getResourceType();
}
